org.aspectj.lang.annotation

## Annotation Type DeclareParents

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface DeclareParents

Declare parents mixin annotation

### Required Element Summary

Required Elements
`String` `value`

### Optional Element Summary

Optional Elements
`Class` `defaultImpl` Optional class defining default implementation of interface members (equivalent to defining a set of interface member ITDs for the public methods of the interface).

### Element Detail

#### value

    public abstract String value

Returns:
  the target types expression

#### defaultImpl

    public abstract Class defaultImpl

Optional class defining default implementation of interface members (equivalent to defining a set of interface member ITDs for the public methods of the interface).

Returns:
  define the default implementation of interface members (should always be specified)

Default:
  org.aspectj.lang.annotation.DeclareParents.class